
/* Basic Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
  }

/* Legend */

/* --cd: (color-dark) hsl(30, 9%, 9%);
--cl: (color-light) hsl(37, 52%, 52%);
--ct: (color-title) hsl(0, 0%, 0%);
--cb: (color-black) hsl(0, 0%, 0%);
--cb-1: (color-black) hsla(0, 0%, 0%, 0.3);
--cw: (color-white) hsl(0, 0%, 100%);
--cr: (color-red) hsl(0, 100%, 50%);
--cg: (color-gray) hsl(30, 5%, 63%);
--cgp: (color-gray-paragraph) hsl(30, 14%, 97%);
--cbgh: (color-bg-hover) hsla(240, 100%, 50%, 0.3);
--clg-1: (color-linear-gradient-1) hsl(52, 100%, 21%);
--clg-2: (color-linear-gradient-2) hsla(52, 100%, 78%, 0.7);
hsl(210, 9%, 22%) */

:root {
  --cd: hsl(30, 9%, 9%);
  --cl: hsl(37, 52%, 52%);
  --ct: hsl(0, 0%, 0%);
  --cb: hsl(0, 0%, 0%);
  --cb-1:hsla(0, 0%, 0%, 0.3);
  --cw: hsl(0, 0%, 100%);
  --cr: hsl(0, 100%, 50%);
  --cg: hsl(30, 5%, 63%);
  --cgp:hsl(30, 14%, 97%);
  --cbgh: hsla(240, 100%, 50%, 0.3);
  --clg-1: hsl(52, 100%, 21%);
  --clg-2: hsla(52, 100%, 78%, 0.7);
}

h1, h2 {
  display: grid;
  font-size: 5rem;
  margin: 0px auto;
  text-align: center;
  align-items: center;
}

h1 {
  color: var(--cw);
}

h2 {
  color: var(--ct);
  padding-top: 50px;
}

p {
  width: 100%;
  margin: 1rem 3rem;
  text-align: justify;
  text-indent: 3rem;
  /* justify-content: center; */
  color: var(--cd);
  flex-wrap: wrap;
  font-size: 1.5rem;
}

a {
  text-decoration: none;
  color: var(--cl);
}

li {
  list-style: none;
}

html {
  scroll-behavior: smooth;
  width: 100%;
}

body {
  background-color: transparent;
  width: 100%;
  overflow-x: hidden;
}

img {
  width: 100%;
} 

/* Header */
header {
  width: 100%;
  min-height: 100svh;
  background-image: url(../images/slider/AI/02.jpg);
  background-position: top;
  background-size: cover;
  justify-content: center;
}

.header-wrapper {
  background-color: var(--cb-1);
  margin: 0 auto;
}

.header-content {
  width: 98%;
  display: grid;
  /* grid-template-columns: repeat(auto-fit, minmax(320px, 1fr)); */
  grid-template-columns: 2.3fr .5fr .2fr;
  gap: 1rem;
  justify-content: space-evenly;
  align-items: center;
  text-align: center;
  background-color: var(--cd);
  border-radius: 3rem;
  border: var(--cl) 1px solid;
  font-size: 1rem;
  margin: 0 auto;
  padding: .3rem;
}

.header-content li {
  display: inline;
}

/* Address */
.address {
  text-align: left;
  padding-left: 20px;
}

.address, .social-media {
  width: 100%;
}

.address-info li a {
  padding-right: 10px;
  color: var(--cg);
  transition:color ease 1s;
  animation: translateX 1s ease-out;
}

.address-info li a:hover {
  color: var(--cw);
}

i, .fa {
  color: var(--cl);
  padding: 1px;
  animation: translateX 1s ease-out;
}

.address-info i {
  color: var(--cl);
  padding: 1px;
  animation: translateX 1s ease-out;
}

/* Social-Media */
.social-media {
  display: flex;
  height: 1.5rem;
  padding: 0.75rem;
  text-align: center;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.social-media p {
  margin: 0;
  padding: 0;
  text-align: left;
  text-indent: 0;
  color: var(--cg);
  font-size: .9rem;
}

.social-media-links {
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;
}

.social-media a i {
  padding: 0 10px;
  transition:color ease 1s;
  animation: translateX 1s ease-out;
}

.social-media a i:hover {
  color: var(--cw);
  transform: translateX(5px);
}

/* Languages */
.languages {
  align-items: center;
  padding-right:20px;
}

.languages i {
  transition:color ease 1s;
  text-align: right;
}

.languages i:hover {
  color: var(--cw);
}

.languages a {
  display: block;
  padding: 5px;
  color: var(--cd);
  text-decoration: none;
  transition: color ease 1s;
  transition: font-weight ease 1s;
}

.languages a:hover {
  font-size: 1.05rem;
  color: var(--cw);
  font-weight: bold;
}

.dropdown {
  display: none;
  position: absolute;
  background-color: var(--cl);
  border: var(--cd) 1px solid;
  border-radius: 1rem;
  padding: 5px;
  align-items: center;
  justify-content: center;
  font-size: 0.75rem;
  width: 6.25rem;
  z-index: 1;
}

.dropdown a {
  text-decoration: none;
}

.languages:hover .dropdown {
  display: block;
}

/* Navigation */
nav {
  display: grid;
  grid-template-columns: 1fr 2fr;
  justify-content: space-between;
  align-items: end;
}

/* Logo */
.logo {
  width: 8rem;
  margin-left: 1rem;
}

.logo { 
  animation: translateX 1s ease-out;
}

@keyframes translateX {
  0% {opacity: 50%;
    transform: translateX(70px);
  }
  100% {opacity: 100%;
    transform: translateX(0px);
  }
}

img {
  margin-top: 1rem;
  margin-left: 1rem;
  object-fit: cover;
  animation: translateX 1s ease-out;
}

/* Navigation-Links */
.nav-links {
  margin-bottom: 10px;
  justify-content: space-between;
  gap: 10px;
}

.nav-links-items {
  display: flex;
  align-content: flex-end;
  justify-content: right;
}

.nav-links-items ul {
  display: flex;
  align-content: flex-end;
  justify-content: flex-end;
}

.nav-links-items li {
  margin: 0 2rem;
  list-style: none;
}

.nav-links-items a {
  font-size: 1.2rem;
  font-weight: bold;
  color: var(--cw);
  text-decoration: none;
}

.nav-links-items li:after {
  content: '';
  width: 0%;
  height: 3px;
  background:var(--cl);
  display: block;
  margin: auto;
  transition: 0.5s;
}

.nav-links-items li:hover::after {
  color: var(--cl);
  width: 100%;
}

.bars i.fa {
  cursor: pointer;
  display: none;
  color: var(--cl);
}

/* Banner-Text */
.banner {
  margin: 0px auto;
}

.logo-big img {
  display: block;
  width: 12rem; 
  margin: 10px auto;
  padding: 10px;
  box-shadow: 1px 1px 4px var(--ct);
}

h1 {
  font-size: 2rem;
  text-shadow: 1px 1px 4px var(--ct);
}

.banner-wrapper {
  width: 100%;
  margin: 0 auto;
  padding: 0;
}

span {
  color: var(--cr);
  font-size: 3rem;
}

.line {
  width: 150px;
  height: 4px;
  background: var(--cr);
  margin: 50px auto;
  border-radius: 5px;
}

/* Banner-CTA */
.btn a {
  width: 20rem;
  display: flex;
  margin: 0 auto;
  padding: 5px 20px;
  cursor: pointer;
  background-color: var(--cl);
  border: var(--cd) 1px solid;
  border-radius: 1rem;
  color: var(--cw);
  align-items: center;
  justify-content: center;
}

.btn .a {
  margin-bottom: 130px;
  align-items: flex-end;
}

.btn a:hover {
  background-color: var(--cw);
  border: var(--cl) 1px solid;
  border-radius: 1rem;
  color: var(--cl);
}

/* Acasă */
.home {
  min-width: 100%;
  min-height: 100svh;
  margin: 0px auto;
  padding: 10px;
  align-items: center;
  justify-content: center;
  background-image: url('data:image/svg+xml,<%3Fxml version="1.0" encoding="UTF-8" standalone="no"%3F><!-- Created with Inkscape (http://www.inkscape.org/) --><svg width="127mm" height="71.437492mm" viewBox="0 0 127 71.437492" version="1.1" id="svg1" inkscape:version="1.3 (0e150ed6c4, 2023-07-21)" sodipodi:docname="poligon-2.svg" xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape" xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" xmlns="http://www.w3.org/2000/svg" xmlns:svg="http://www.w3.org/2000/svg"><sodipodi:namedview id="namedview1" pagecolor="%23ffffff" bordercolor="%23666666" borderopacity="1.0" inkscape:showpageshadow="2" inkscape:pageopacity="0.0" inkscape:pagecheckerboard="0" inkscape:deskcolor="%23d1d1d1" inkscape:document-units="mm" inkscape:zoom="2.3894317" inkscape:cx="245.03735" inkscape:cy="120.11224" inkscape:window-width="1920" inkscape:window-height="1002" inkscape:window-x="-8" inkscape:window-y="-8" inkscape:window-maximized="1" inkscape:current-layer="layer1" showgrid="false" /><defs id="defs1" /><g inkscape:label="Layer 1" inkscape:groupmode="layer" id="layer1" transform="translate(-41.499997,-112.78125)"><path id="rect2" style="opacity:1;fill:%23c59546;fill-opacity:1;stroke-width:4.54865;stroke-linecap:square;paint-order:fill markers stroke" d="m 41.5,184.21875 h 127 l -27.98953,-71.4375 H 41.5 Z" sodipodi:nodetypes="ccccc" /></g></svg>');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-color: transparent;
}

.highlight {
  max-width: 35%;
  text-align: center;
  margin: 0px auto;
  margin-left: 3rem;
  letter-spacing: 10px;
  font-size: 1.2em;
  border: 5px solid var(--cd);
  padding: 10px;
  /* border-top-left-radius: 25%; */
  border-bottom-right-radius: 25%;
}

.highlight p {
  padding-left: -10px;
}

.home-text {
  display: grid;
  width: 90%;
  align-items: start;
  place-content: center;
}

.home-text p {
  text-indent: 3rem;
}

/* Despre-noi */
.despre-noi {
  min-width: 100%;
  min-height: 100svh;
  margin: 0px auto;
  align-items: center;
  justify-content: center;
  background-image: url('data:image/svg+xml,<%3Fxml version="1.0" encoding="UTF-8" standalone="no"%3F><!-- Created with Inkscape (http://www.inkscape.org/) --><svg width="127mm" height="71.437492mm" viewBox="0 0 127 71.437492" version="1.1" id="svg1" inkscape:version="1.3 (0e150ed6c4, 2023-07-21)" sodipodi:docname="poligon.svg" xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape" xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" xmlns="http://www.w3.org/2000/svg" xmlns:svg="http://www.w3.org/2000/svg"><sodipodi:namedview id="namedview1" pagecolor="%23ffffff" bordercolor="%23666666" borderopacity="1.0" inkscape:showpageshadow="2" inkscape:pageopacity="0.0" inkscape:pagecheckerboard="0" inkscape:deskcolor="%23d1d1d1" inkscape:document-units="px" inkscape:zoom="0.68061167" inkscape:cx="1199.6562" inkscape:cy="675.86264" inkscape:window-width="1920" inkscape:window-height="1002" inkscape:window-x="-8" inkscape:window-y="-8" inkscape:window-maximized="1" inkscape:current-layer="layer1" /><defs id="defs1" /><g inkscape:label="Layer 1" inkscape:groupmode="layer" id="layer1" transform="translate(-41.499997,-112.78125)"><path id="rect2" style="opacity:1;fill:%23ffefd5;stroke-width:4.54865;stroke-linecap:square;paint-order:fill markers stroke" d="m 41.5,112.78125 h 127 l -27.98953,71.4375 H 41.5 Z" sodipodi:nodetypes="ccccc" /></g></svg>');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-color: transparent;
}

.despre-noi-text {
  display: grid;
  width: 90%;
  align-items: center;
  place-content: center;
}

.despre-noi-text p {
  text-indent: 3rem;
}

/* Servicii */
.servicii {
  display: grid;
  width: 100%;
  margin: 0 auto;
  text-align: center;
  align-items: start;
  background-image: linear-gradient(to top, var(--clg-1), var(--clg-2)); 
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  box-sizing: border-box;
}

.servicii-text {
  clear: both;
  width: 100%;
  margin: 0px auto;
  flex-wrap: nowrap;
  margin: 0 auto;
  text-align: center;
  align-items: center;
  background-image: linear-gradient(to bottom, var(--clg-1), var(--clg-2)); 
}

.servicii-text p {
  width: 90%;
}

.line {
  margin: 50px auto;
}

.servicii-text .line {
  margin-bottom: 50px;
}

.servicii-wrapper {
  justify-content: center;
}

.servicii-wrapper p {
  width: 100%;
  text-indent: 3rem;
  color: var(--cd);
}

.title {
  text-align: center;
  font-size: 4vmin;
  color: var(--cw);
  text-align: center;
  align-items: center;
  padding-top:  150px;
}

.row {
  margin-top: 5%;
  display: flex; 
}

.servicii-image-gallery {
  flex-wrap: wrap;
  display: flex;
  column-gap: 10px;
  justify-content: center;
}

.servicii-col {
  height: auto;
  width: 100%;
  align-items: center;
  flex-basis: 32%;
  border-radius: 10px;
  margin-bottom: 5%;
  position: relative;
  overflow: hidden;
  text-align: center;
  column-gap: 10px;
}

.servicii-col img {
  width: 100%;
  height: auto;
  display: block;
}

.servicii-col:hover {
  transform: scale(1.05);
  transition: transform 0.5s ease-in-out; 
}

.layer {
  background: transparent;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  transition: transform 0.5s ease-in-out; 
}

.layer:hover {
  background: var(--cbgh);
  transform: scale(1.05);
}

.layer h4 {
  width: 100%;
  font-size: 3vmin;
  color: var(--cl);
  margin: 20px auto;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0;
  left: 50%;
  position: absolute;
  transition: 1s;
}

.layer:hover h4 {
  bottom: 60%;
  opacity: 1;
}

.layer p {
  color: var(--cgp);
  padding: 0 px 40px;
  margin: 20px auto;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0;
  left: 50%;
  position: absolute;
  opacity: 0;
  transition: 1s;
  font-size: 1rem;
}

.layer:hover p {
  bottom: 15%;
  opacity: 1;
}

.layer .ctn {
  color:var(--cgp);
  padding: 5px 10px;
  margin: 30px auto;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0;
  left: 50%;
  position: absolute;
  opacity: 0;
  transition: 1s;
  border: 1px solid var(--cw);
  border-radius: 10px;
}

.layer:hover .ctn {
  bottom: 1%;
  opacity: 1;
}

/* Servicii-Detalii */

.servicii-wrapper {
  width: 100%;
  margin: 0;
  display: flex;
}

.servicii-content {
  width: 100%;
  padding: 10px;
  background-color: var(--cd);
}

.servicii-detalii-light {
  width: 70%;
  min-height: 100svh;
  padding: 20px;
  margin: 5px auto;
  align-items: flex-start;
  justify-content: center;
  text-align: left;
  background-color: var(--cl);
  border: 2px dashed var(--cw);
  border-radius: 1rem;
}

.servicii-detalii-dark {
  width: 70%;
  min-height: 100svh;
  padding: 20px;
  margin: 5px auto;
  align-items: flex-start;
  justify-content: center;
  text-align: left;
  background-color: var(--cg);
  border: 2px dashed var(--cw);
  border-radius: 1rem;
}

.servicii-detalii-light ul ul li, .servicii-detalii-dark ul ul li {
  margin-left: 50px;
}

.servicii-detalii-light li, .servicii-detalii-dark li {
  margin-top: 5px;
  text-indent: 2rem;
  font-size: 1.5rem;
}

.servicii-detalii-dark li {
  margin-top: 5px;
  text-indent: 3rem;
}

.servicii-detalii-light h4, .servicii-detalii-dark h4 {
  width: 45%;
  padding-left: .5rem;
  color: var(--cw);
  background-color: var(--cb);
  font-size: 1.75rem;
}

.servicii-detalii-light span, .servicii-detalii-dark span {
  font-size: 2.5rem;
  color: var(--cr);
}

.servicii-detalii-light h5, .servicii-detalii-dark h5 {
  font-size: 1.5rem;
  padding-top: 10px;
}

.detalii img {
  width: 10%;
  margin-left: 0;
  height: auto;
  border: 2px dashed var(--cw);
  border-radius: 10%;
  box-shadow: 7px 7px 5px rgba(0, 0, 0, 0.3);
}

.back-btn-wrapper {
  margin: 10px;
  text-align: right;
}

.back-btn {
  margin: 0px auto;
  text-align: center;
  align-items: center;
  padding: 5px 10px;
  color: var(--cw);
  background-color: var(--cb);
  border: 2px solid var(--cw);
  border-radius: 1rem;
}

.back-btn a i {
  padding: 5px;
  color: var(--cw);
  text-decoration: none;
  font-size: xx-large;
}

.back-btn:hover {
  font-size: 1.2em;
  font-weight: bolder;
  color: var(--cw);
}

.back-btn a i:hover {
  font-size: 1.2em;
  color: var(--cw);
}

/* Contact */
.contact {
  width: 100%;
  height: auto;
  padding: 20px 80px;
  margin: 0;
  text-align: center;
  align-items: center;
  background-image: radial-gradient( circle at center, var(--clg-2) ,var(--clg-1));     
}

.line { 
    margin-bottom: 50px;
}

.map iframe {
    border-radius: 10%;
}

/* Footer */
.footer {
  display: grid;
  width: 100%;
  min-height: 100px;
  padding: 10px 80px;
  margin: 0 auto;
  justify-content: center;
  align-items: center;
  text-align: center;
  background: var(--cd);
}

  .footer p { 
    color: var(--cg);
    margin: 0px auto;
    padding: 0px auto;
    padding-top: 0;
    justify-self: center;
    text-align: center;
    font-size: 1rem;
  }

  .footer span { 
    color: var(--cl);
    font-size: 1rem;
  }

/* Back-to-Top-Button */
.back-to-top-btn {
  position: fixed;
  bottom: 10px;
  right: 10px;
  padding: 10px;
  text-decoration: none;
  color: var(--cl);
  text-decoration: none;
  border: 2px dashed var(--cd);
  border-radius: 50%;
  z-index: 100;
}

.back-to-top:hover {
  font-size: 1.2em;
  font-weight: bolder;
  color: var(--cw);
}

.back-to-top a i {
  position: fixed;
  bottom: 20px;
  left: 20px;
  padding: 5px;
  color: var(--cd);
  text-decoration: none;
  font-size: xx-large;
}

.back-to-top a i:hover {
  font-size: 1.2em;
  color: var(--cd);
}



/* Media-Query for Mobile Device */
@media only screen and (max-width: 1000px) {
h1, h2 {
    font-size: 3rem;
  }

.header-wrapper {
  width: 100%;
  max-height: 100svh;
  margin: 0;
  padding: 0;
  grid-template-columns: 1fr;
  background-color: var(--cd);
  border: 2px solid var(--cl);
  border-bottom-right-radius: 30%;
}

.header-content {
  width: 100%;
  gap: .1rem;
  margin: 0 auto;
  align-items: center;
  justify-content: center;
  font-size: .8rem;
}

nav {
  width: 100%;
  align-items: center;
  justify-content: center;
}

.logo {
  width: 70%;
  margin: 10px auto;
}

.social-media p {
  display: none;
}

.highlight {
  margin-left: 3rem;
  justify-content: center;
  align-items: center;
}

.nav-links {
  flex-direction: column;
  width: 100%;
  justify-content: center;
  align-items: center;
  background-color: transparent;
  border-left: 1px dashed var(--cl);
}

.nav-links-items {
  flex-direction: column;
  width: 100%;
  max-height: 100svh;
  justify-content: center;
  background-color: transparent;
}

.nav-links-items li {
  margin: 30px auto;
}   

.bars {
  display: block;
  margin-top: 10px;
}

.bars i {
color: var(-cl);
}

.dropdown {
  width: 96%;
  margin: 0 auto;
}

p {
  font-size: 1.5rem;
}

.layer p {
  font-size: .8rem;
}

.layer:hover p {
  bottom: 20%;
  opacity: 1;
}
}